Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1418165 - [ja_JP] [Admin Portal] The tab name 'Scheduling policy' in Japanese appears slightly truncated in clusters->new window.
Summary: [ja_JP] [Admin Portal] The tab name 'Scheduling policy' in Japanese appears s...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: Frontend.WebAdmin
Version: 4.1.0.3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ovirt-4.1.7
: 4.1.7.4
Assignee: Phillip Bailey
QA Contact: Petr Matyáš
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-01 04:59 UTC by Bhushan Barve
Modified: 2017-11-13 12:28 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-13 12:28:55 UTC
oVirt Team: SLA
rule-engine: ovirt-4.1+
rule-engine: ovirt-4.2+
mgoldboi: planning_ack+
rule-engine: devel_ack+
lsvaty: testing_ack+


Attachments (Terms of Use)
ja_JP_truncation (93.62 KB, image/png)
2017-02-01 04:59 UTC, Bhushan Barve
no flags Details
jp_JP New Cluster dialog with patch applied (45.99 KB, image/png)
2017-09-01 12:36 UTC, Phillip Bailey
no flags Details
Tab, when you don't click at "Privacy policy" (56.28 KB, image/png)
2017-09-01 13:24 UTC, David Necpal
no flags Details
Tan name, when you click on it (63.73 KB, image/png)
2017-09-01 13:25 UTC, David Necpal
no flags Details


Links
System ID Private Priority Status Summary Last Updated
oVirt gerrit 81240 0 ovirt-engine-4.1 POST webadmin: Expand tab bar width in New Cluster popup 2017-08-30 20:07:58 UTC
oVirt gerrit 81351 0 ovirt-engine-4.1 MERGED webadmin: Further expand tab bar width in Cluster popup 2017-10-15 14:37:56 UTC

Description Bhushan Barve 2017-02-01 04:59:22 UTC
Created attachment 1246511 [details]
ja_JP_truncation

Description of problem: The tab name 'Scheduling policy' in LHS in Japanese appears slightly truncated in clusters->new window. The whole tab name in Japanese is - 
スケジューリングポリシー

However when the tab is selected, the last character 'ー' appears truncated. It is visible properly when any other tab is selected.


Version-Release number of selected component (if applicable):
 Red Hat Enterprise Virtualization Manager バージョン: 4.1.0.3-0.1.el7 

How reproducible:
always

Steps to Reproduce:
1. login with ja_JP locale
2. go to clusters->new
3. click on 'Scheduling policy' and observe the tab name in LHS.

Actual results:
The tab name appears truncated.

Expected results:
The tab name should not be truncated.

Additional info:

Comment 1 Oved Ourfali 2017-02-15 13:18:57 UTC
Moving to the relevant team.
If you need assistance let us know.

Comment 2 Doron Fediuck 2017-04-05 10:30:52 UTC
Need to check if the patternfly based UI is affected.

Comment 3 David Necpal 2017-09-01 12:28:53 UTC
Tested on version  Red Hat Virtualization Manager バージョン: 4.1.6.1-0.1.el7 

The tab name is still truncated.
Different tab name shows on different zoom levels, but still truncated -> half or full character 'ー' isn't visible.

Comment 4 Phillip Bailey 2017-09-01 12:36:51 UTC
Created attachment 1320913 [details]
jp_JP New Cluster dialog with patch applied

Comment 5 Phillip Bailey 2017-09-01 12:39:37 UTC
David,

Could you please tell me what your testing procedure is, exactly? I just uploaded a screenshot of the dialog as I see it.

Comment 6 David Necpal 2017-09-01 13:20:58 UTC
(In reply to Phillip Bailey from comment #5)
> David,
> 
> Could you please tell me what your testing procedure is, exactly? I just
> uploaded a screenshot of the dialog as I see it.

You are right, you see the full tab name. For me, I see it slightly truncated (you will see in attachment). 

But this bug is about slightly different... "However when the tab is selected, the last character 'ー' appears truncated."... When you click at this tab, tab name will be different = isn't full visible (you will see in attachment too).. 

When you click at this tab and you will change zoom levels, tab name will be different every time.

Comment 7 David Necpal 2017-09-01 13:24:44 UTC
Created attachment 1320961 [details]
Tab, when you don't click at "Privacy policy"

Tab, when you don't click at "Privacy policy"

Comment 8 David Necpal 2017-09-01 13:25:37 UTC
Created attachment 1320962 [details]
Tan name, when you click on it

Tan name, when you click on it

Comment 9 Yaniv Kaul 2017-09-05 10:18:38 UTC
Not an exception or blocker, moving to 4.1.7.

Comment 10 Petr Matyáš 2017-10-25 11:36:12 UTC
Verified on ovirt-engine-4.1.7.4-0.1.el7.noarch


Note You need to log in before you can comment on or make changes to this bug.